RENICE(1)

NOM
renice - Modifier la priorité des processus en cours d'exécution

SYNOPSIS
renice [ [ -p ] pid ... ] [ [ -g ] pgrp ... ] [ [ -u ] utilisateur ... ]

DESCRIPTION
renice modifie la priorité d'ordonnancement d'un ou de plusieurs processus en cours d'exécution. Les paramètres qui suivants doivent être interprétés comme identifiant de processus, identifiant de groupe de processus ou noms d'utilisateur. Utiliser renice sur un groupe de processus implique que tous les processus de ce groupe aient leur priorité d'ordonnancement modifiée. L'appliquer à un utilisateur implique que tous les processus appartenant à celui-ci aient leur priorité d'ordonnancement modifiée. Par défaut, les processus affectés sont spécifiés par leur identifiant de processus.

OPTIONS

-g  Forcer l'interprétation des paramètres qui comme identifiants de groupe de processus.

-u  Forcer l'interprétation des paramètres qui comme noms d'utilisateur.

-p  Réinitialiser l'interprétation des paramètres qui pour qu'ils soient considérés comme des identifiants de processus (C'est le comportement par défaut).

Par exemple :

renice +1 987 -u daemon root -p 32

modifierait la priorité des processus d'identififiants 987 et 32, et tous les processus appartenant aux utilisateurs « daemon » et « root ».

Les utilisateurs, autres que le superutilisateur, peuvent seulement modifier la priorité des processus dont ils sont propriétaires, et peuvent seulement incrémenter monotoniquement leur valeur de courtoisie dans l'intervalle 0 à PRIO_MAX (20). (Ceci empêche d'écraser les autorisations administratives.) Le superutilisateur peut modifier la priorité de n'importe quel processus et peut configurer la priorité avec n'importe quelle valeur dans l'intervalle PRIO_MIN (-20) à PRIO_MAX (20). Les priorités utiles sont : 20 (les processus affectés s'exécutent seulement si rien d'autre dans le système ne veut s'exécuter), 0 (la priorité d'ordonnancement de « base »), n'importe quelle valeur négative (rendre les processus plus rapides).

FICHIERS

/etc/passwd pour faire correspondre les noms d'utilisateurs aux identifiants.

VOIR AUSSI
getpriority(2), setpriority(2)

BOGUES

Les utilisateurs, qui ne sont pas superutilisateur, ne peuvent pas augmenter les priorités d'ordonnancement de leurs propres processus, même s'ils avaient eux-même diminué les priorités préalablement.

Le noyau Linux (au moins la version 2.0.0) et la libc Linux (au moins la version 5.2.18) ne sont pas entièrement en accord sur la spécificité de l'interface d'appel système pour configurer la valeur de courtoisie. Ceci entraîne renice à rapporter des précédentes valeurs de courtoisie erronées.

HISTORIQUE
La commande renice est apparue dans BSD 4.0.

DISPONIBILITÉ
La commande renice fait partie du paquetage util-linux-ng et est disponible à l'adresse ftp://ftp.kernel.org/pub/linux/utils/util-linux-ng/.

TRADUCTION
Ce document est une traduction réalisée par Aymeric Nys <aymeric AT nnx DOT com> le 14 février 2004 et révisée le jj/mm/aaaa.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 renice ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.